# Authentication

API Keys are used to authenticate with the API. All requests to the Rep.ai API must be authenticated by including an HTTP header with your API Key.&#x20;

* API Keys are tied specifically to your Organization.
* Multiple API Keys can be created for different uses.
* API Keys can be deactivated when no longer needed.
* API Keys are irretrievable, so when one is issued, please keep it safe!

## Get an API Key

To request an API Key, send an email to <sales@rep.ai> specifying the Organization you're requesting an API Key for.&#x20;

## Using your API Key

All requests must include the `X-Api-Key` HTTP Header, set to the value of your API Key.

&#x20;

{% code title="Example API KEY Usage" %}

```bash
# List all users of my Organization
curl https://api.rep.ai/public/api/v1/org/team \
-H "Accept: application/json" \
-H "X-Api-Key: BGFEUUEr.YmGIxL9maFhPtapAQW9RK5RX1MX3SjLRKaJJJ_96yVg"
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rep.ai/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
